Subject: bug#21512: filecontents

From: "Hefferon, James S." <[email-masked]>
Date: Fri, 18 Sep 2015 15:44:38 +0000

Thank you both for the work that you do, and for your response to this.  

I am using the AUCTeX that comes with Ubuntu's long term release 14.04, namely AUCTeX 11.87-1.  So that explains how your update has not yet gotten to me.

Sorry for the noise.

Jim

--------------------------------------
`Does not the Captain seek your advice, sir?'
`Not always,' said Stephen.

________________________________________
From: Tassilo Horn [[email-masked]]
Sent: Friday, September 18, 2015 9:03
To: Hefferon, James S.
Cc: [email-masked]
Subject: Re: bug#21512: filecontents

"Hefferon, James S." <[email-masked]> writes:

Hi James,

> Thank you for AUCTeX.  I use it every day.

You're welcome!

> When I am inside a .tex file, in the preamble but after the
> \documentclass, and I do a control-C control-E followed by
> "filecontents" I get a message in the minibuffer to "Put filecontents
> before \documentclass".
>
> That warning is based on incorrect documentation of the filecontents
> command; in fact that command can go anywhere in the preamble.

That must be an old version of AUCTeX.  The current version, 11.88.8,
just warns when you use it after the \begin{document}, i.e., after the
preamble.

Well, and if you use the filecontents package which provides a similar
environment without even the preamble-restriction, AUCTeX won't issue
any warning at all.

So I'm closing this issue.

Bye,
Tassilo